View Issue Details

IDProjectCategoryView StatusLast Update
0001677Common[All Projects] Generalpublic2016-12-30 22:44
ReporterXenosAssigned ToXenos 
PriorityhighSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version3.3.0 
Summary0001677: Basculer sur PHP 7
DescriptionA faire dès que NetBeans le prendra correctement en charge.

Il faudra alors vérifier que les autres projets n'ont pas plantés, principalement:
Mantis
Math Help
Le blog
Eclerd v0
Variispace (alpha)
Tactical game (alpha)
Eclerd (alpha)
Les scripts persos qui traînent dans certains dossiers (xenos.reinom.com)
TagsNo tags attached.
Attach Tags

Relationships

child of 0001839 CloseXenos Typehinting sur les appels de procédure SQL 

Activities

Xenos

Xenos

2016-09-06 22:17

administrator   ~0002239

A voir d'ici un mois, quand NetBeans 8.2 sera sorti ( http://wiki.netbeans.org/NetBeans_82 )
Xenostom

Xenostom

2016-12-27 13:12

developer   ~0002811

Last edited: 2016-12-30 22:43

Wordpress et Mantis ont l'air OK, Eclerd aussi, donc mis à part la version de PHP qui fait chier au boulot, pour le reste, c'est OK pour PHP7.
Xenos

Xenos

2016-12-27 23:21

administrator   ~0002814

Last edited: 2016-12-30 22:43

Je viens de finir d'installer WAMP avec PHP 7 (y'a aussi le 5.6 au cas où), et tout semble fonctionner parfaitement.

Je pourrai donc monter vers PHP7 sur la prod d'ici peu (et éventuellement faire de même au boulot?!).
Xenos

Xenos

2016-12-28 21:28

administrator   ~0002816

Last edited: 2016-12-30 22:43

Normalement, c'est tout compatible PHP 7, donc go
Xenos

Xenos

2016-12-28 23:12

administrator   ~0002817

Last edited: 2016-12-30 22:43

Y'a une putasserie de cache de merde chez OVH qui plante Mantis.

Donc, cette saloperie me gonflant depuis presque 2heures, j'ai décidé d'aller chier ma ligne de configuration au milieu du "core.php" plutôt que dans le fichier de configuration normal. Donc, OVH, z'êtes des con et je vous pisse à la raie: un cache dois *toujours* avoir un putain de bouton "purger", sinon, c'est de la merde.
Xenos

Xenos

2016-12-28 23:13

administrator   ~0002818

Last edited: 2016-12-30 22:43

Sinon, c'est fait, PHP7 est partout.

Issue History

Date Modified Username Field Change
2016-08-19 18:53 Xenos New Issue
2016-08-19 18:53 Xenos Status New => Understood
2016-09-06 22:17 Xenos Note Added: 0002239
2016-09-06 22:17 Xenos Assigned To => Xenos
2016-09-06 22:17 Xenos Status Understood => Accepted
2016-11-01 14:10 Xenos Relationship added child of 0001839
2016-12-27 13:12 Xenostom Note Added: 0002811
2016-12-27 23:21 Xenos Note Added: 0002814
2016-12-27 23:27 Xenos Priority normal => high
2016-12-28 21:28 Xenos Status Accepted => In progress
2016-12-28 21:28 Xenos Note Added: 0002816
2016-12-28 23:12 Xenos Note Added: 0002817
2016-12-28 23:13 Xenos Status In progress => Close
2016-12-28 23:13 Xenos Resolution open => fixed
2016-12-28 23:13 Xenos Note Added: 0002818
2016-12-30 22:43 AutoUpdater Status Close => Resolved
2016-12-30 22:43 AutoUpdater Fixed in Version => 3.3.0
2016-12-30 22:44 Xenos Status Resolved => Close